<?

function theme_append_similar_to_footer() {
	if ( is_single() ) {
		global $post;
		$tags = wp_get_post_tags($post->ID, array( 'fields' => 'ids' ));
		$categories = false;
		
		if(!$tags) {
			$categories = wp_get_post_categories($post->ID, array( 'fields' => 'ids' ));
			$similar_query = new WP_Query( array( 
				'orderby' => 'date', 
				'category__in' => $categories,
				'post__not_in' => array($post->ID),
				'posts_per_page' => '1'
			) );
		} else {
			$similar_query = new WP_Query( array( 
				'orderby' => 'date', 
				'tag__in' => $tags,
				'post__not_in' => array($post->ID),
				'posts_per_page' => '1'
			) );
		}
			
		if( $similar_query->have_posts() ) {
			while ($similar_query->have_posts()) { 
				$similar = $similar_query->the_post(); 
				?> 
				<aside class="you-may-like">	
					<header>
						<h2>You might also like... </h2>
						<h2><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
						<?php the_post_thumbnail('thumbnail'); ?>
					</header>
					<?php the_excerpt(); ?>
				</aside>
				<style>
					aside.you-may-like {
						position: fixed;
						bottom: 2em;
						right: 0px;
						text-decoration: none;
						color: #000000;
						background-color: #EBEBEB;
						background-color: rgba(235, 235, 235, 0.8051);
						font-size: 12px;
						padding: 20px;						
						width: 300px;
						display: none;
					}

					aside.you-may-like h2{
						margin: 0px 0px 20px 0px;
					}
					
					aside.you-may-like p{
						line-height: 150%;
					}
				</style>
				<script>
					jQuery(document).ready(function() {
						var article = jQuery('article.post');
						var aside = jQuery('aside.you-may-like');
						var offset = 200;
						jQuery(window).scroll(function() {
							var outerHeight = article.outerHeight(true);
							var height = jQuery(window).innerHeight();
							var top = jQuery(window).scrollTop();
														
							if( ( height + top ) >= ( outerHeight - offset )) {
								aside.fadeIn(200);						
							} else {
								aside.fadeOut(200);
							}					
						});			
					});
				</script>
				<?php
			} 			
		}			
		wp_reset_postdata();
	}
}
add_action('wp_footer', 'theme_append_similar_to_footer');
